***  NOTES ON COMMOS2  ***

A registration form is included in REGISTER.TXT.

*** IOPL Applications ***

A sample "DEF" file (IOPL.DEF) is included to demonstrate how to modify 
your DEF file to use the IOPL routines.  You will need to incorporate 
the IOPL statements into your "DEF" file to gain IOPL privilege.

The library also contains four routines which provide IOPL services for
an application.  These are indicated under the appropriate section below.

*** 16-bit Applications ***

Any C code which wishes to make use of these routines should have the
following added to it's header

#define INCL_COMMOS2_16BIT
#include "COMMOS2.H"

which provides the proper prototypes for the functions.

The functions available are:

  CommOpen           - Opens a COM port
  CommInit           - Initializes a COM port
  CommClose          - Closes a COM port
  CommClear          - Clears a COM port
  CommWrite          - Writes data to a COM port
  CommRead           - Reads data from a COM port
  CommReadTimeOut    - Reads data from a COM port or times out
  CommReadUntilByte  - Reads data from a COM port until a certain character
                       is received
  CommQueryRxCount   - Returns the number of characters waiting to be read
  CommQueryRxBufSize - Returns the size of the receiver buffer
  CommQueryTxCount   - Returns the number of characters waiting to be sent
  CommQueryTxBufSize - Returns the size of the transmit buffer
  ioplinp            - Reads a port directly to get a single character
  ioplinpw           - Reads a port directly to get a single word
  ioplout            - Writes a single character directly to a port
  ioploutw           - Writes a word directly to a port

*** 32-bit Applications ***

Any C code which wishes to make use of these routines should have the
following added to it's header

#define INCL_COMMOS2_32BIT
#include "COMMOS2.H"

which provides the proper prototypes for the functions.

The functions available are:

  CommOpen           - Opens a COM port
  CommInit           - Initializes a COM port
  CommClose          - Closes a COM port
  CommClear          - Clears a COM port
  CommClearRxBuffer  - Clears the COM port receiver buffer
  CommClearTxBuffer  - Clears the COM port transmit buffer
  CommWrite          - Writes data to a COM port
  CommRead           - Reads data from a COM port
  CommReadTimeOut    - Reads data from a COM port or times out
  CommReadUntilByte  - Reads data from a COM port until a certain character
                       is received
  CommQueryRxCount   - Returns the number of characters waiting to be read
  CommQueryRxBufSize - Returns the size of the receiver buffer
  CommQueryTxCount   - Returns the number of characters waiting to be sent
  CommQueryTxBufSize - Returns the size of the transmit buffer
  PortInpByte        - Reads a port directly to get a single character
  PortInpWord        - Reads a port directly to get a single word
  PortOutByte        - Writes a single character directly to a port
  PortOutWord        - Writes a word directly to a port



